cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/proxied-services/{serviceId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"hostPattern": "<string>",
"isEnabled": true,
"credentials": [
{
"secretKey": "<string>",
"dynamicSecretName": "<string>",
"dynamicSecretField": "<string>",
"headerName": "<string>",
"headerPrefix": "<string>",
"placeholderKey": "<string>",
"placeholderValue": "<string>",
"substitutionSurfaces": []
}
]
}
'import requests
url = "https://us.infisical.com/api/v1/proxied-services/{serviceId}"
payload = {
"name": "<string>",
"hostPattern": "<string>",
"isEnabled": True,
"credentials": [
{
"secretKey": "<string>",
"dynamicSecretName": "<string>",
"dynamicSecretField": "<string>",
"headerName": "<string>",
"headerPrefix": "<string>",
"placeholderKey": "<string>",
"placeholderValue": "<string>",
"substitutionSurfaces": []
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
hostPattern: '<string>',
isEnabled: true,
credentials: [
{
secretKey: '<string>',
dynamicSecretName: '<string>',
dynamicSecretField: '<string>',
headerName: '<string>',
headerPrefix: '<string>',
placeholderKey: '<string>',
placeholderValue: '<string>',
substitutionSurfaces: []
}
]
})
};
fetch('https://us.infisical.com/api/v1/proxied-services/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"hostPattern": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"credentials": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"secretKey": "<string>",
"headerName": "<string>",
"headerPrefix": "<string>",
"headerPurpose": "<string>",
"placeholderKey": "<string>",
"placeholderValue": "<string>",
"substitutionSurfaces": [
"<string>"
],
"dynamicSecretName": "<string>",
"dynamicSecretField": "<string>"
}
],
"isEnabled": true
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Proxied Services
Update
Update a proxied service
PATCH
/
api
/
v1
/
proxied-services
/
{serviceId}
cURL
Path Parameters
The ID of the proxied service to update.
Body
application/json
The new name of the proxied service.
Required string length:
1 - 64The new comma-separated host patterns.
Required string length:
1 - 255Whether the proxied service is enabled. The agent proxy skips disabled services.
The new credentials. When provided, the entire credentials collection is replaced; when omitted, existing credentials are left unchanged.
Minimum array length:
1Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I